package com.srs.comprehensive.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;

/**
 * 综合素质评定任务记录对象 cph_stu_eva_task_list
 * 
 * @author srs
 * @date 2023-08-21
 */
public class CphStuEvaTaskList extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 评定任务id */
    @Excel(name = "评定任务id")
    private Long evaTaskId;

    /** 评定小组成员学号 */
    @Excel(name = "评定小组成员学号")
    private String stuNo;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setEvaTaskId(Long evaTaskId) 
    {
        this.evaTaskId = evaTaskId;
    }

    public Long getEvaTaskId() 
    {
        return evaTaskId;
    }
    public void setStuNo(String stuNo) 
    {
        this.stuNo = stuNo;
    }

    public String getStuNo() 
    {
        return stuNo;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("evaTaskId", getEvaTaskId())
            .append("stuNo", getStuNo())
            .append("status", getStatus())
            .toString();
    }
}
